/**
 * To be able to run this we need to set our dev pc in the .env.
 * if its empty just ignore it. this will just be the double catch
 */

import { Router } from "express";
import { build, building } from "../utils/build.utils.js";
import { apiReturn } from "../utils/returnHelper.utils.js";

const router = Router();

router.post("/release", async (_, res) => {
	if (!building) {
		build();

		return apiReturn(res, {
			success: true,
			level: "info",
			module: "admin",
			subModule: "build",
			message: `The build has been triggered see logs for progress of the current build.`,
			data: [],
			status: 200,
		});
	} else {
		return apiReturn(res, {
			success: false,
			level: "error",
			module: "admin",
			subModule: "build",
			message: `There is a build in progress already please check the logs for on going progress.`,
			data: [],
			status: 200,
		});
	}
});

export default router;
